package tp04;

public class Person
{
    private final int ID = 0;
    private String forename;
    private String name;

    public Person(String f, String n)
    {
        this.forename=f;
        this.name=n;
    }

    public int getID()
    {
        return ID;
    }

    public String getForename()
    {
        return forename;
    }

    public String getName()
    {
        return name;
    }

    public void setForename(String forename) {
        this.forename = forename;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean equals(Person p)
    {
        if(this == p)
        {
            return true;
        }
        if(this.ID == p.ID)
        {
            return true;
        }
        return false;
    }

    @Override
    public String toString()
    {
        return this.ID + ": " + this.forename + " " + this.name;
    }
}